# Generated by Django 3.1.12 on 2021-08-22 08:49

import django.db.models.deletion
import phonenumber_field.modelfields
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name="OneTruePairing",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "phone_number",
                    phonenumber_field.modelfields.PhoneNumberField(
                        max_length=128, region=None
                    ),
                ),
                (
                    "status",
                    models.CharField(
                        choices=[("init", "init"), ("used", "used")],
                        default="init",
                        max_length=10,
                    ),
                ),
                (
                    "usage",
                    models.CharField(
                        choices=[("auth", "Auth"), ("register", "Register")],
                        max_length=10,
                    ),
                ),
                (
                    "verification_code",
                    models.CharField(
                        help_text="Verification code generated by backend for authentication or registration",
                        max_length=10,
                    ),
                ),
                ("created_at", models.DateTimeField(auto_now_add=True)),
                ("updated_at", models.DateTimeField(auto_now=True)),
                (
                    "user",
                    models.ForeignKey(
                        blank=True,
                        help_text="User field will be populated for OTP Auth",
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
            ],
        ),
    ]
